#declare PunktFarbe   = <0.65 ,0.20 ,0.00>;
#declare Gerade1Farbe = <0.45 ,0.45 ,0.00>;
#declare Gerade2Farbe = <0.50 ,0.50 ,0.00>;
#declare Ebene1Farbe  = <0.10 ,0.80 ,0.00>;
#declare Ebene2Farbe  = <0.00 ,0.70 ,0.30>;
#declare KooSysFarbe  = <0.90 ,0.90 ,0.90>;


#declare PunktMaterial = texture {
                                pigment {color rgb PunktFarbe}
		                finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };
#declare Gerade1Material = texture {
                                pigment {color rgb Gerade1Farbe}
		                finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };
  
#declare Gerade2Material = texture {
                                pigment {color rgb Gerade2Farbe}
		                finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };
  
#declare Ebene1Material = texture {
                                pigment {color rgb Ebene1Farbe}
		                finish { ambient 0.15 specular 0.4 reflection 0.05 }
                                };

#declare Ebene2Material = texture {
                                pigment {color rgb Ebene2Farbe}
		                finish { ambient 0.15 specular 0.4 reflection 0.05 }
                                };
#declare xBreite = (xmax -xmin)/500;
#declare xAchsMaterial = texture {
                           pigment { //color rgb KooSysFarbe
                                   gradient x
                                   color_map { [xBreite color rgb <0, 0, 0>]
                                               [xBreite color rgb KooSysFarbe]
    	                                       [1-xBreite color rgb KooSysFarbe]  
    	                                       [1-xBreite color rgb <0, 0, 0>] }  
                                   }
                           finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };

#declare yAchsMaterial = texture {
                           pigment { //color rgb KooSysFarbe
                                   gradient y
                                   color_map { [xBreite color rgb <0, 0, 0>]
                                               [xBreite color rgb KooSysFarbe]
    	                                       [1-xBreite color rgb KooSysFarbe]  
    	                                       [1-xBreite color rgb <0, 0, 0>] }  
                                   }
                           finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };

#declare zAchsMaterial = texture {
                           pigment { //color rgb KooSysFarbe
                                   gradient z
                                   color_map { [xBreite color rgb <0, 0, 0>]
                                               [xBreite color rgb KooSysFarbe]
    	                                       [1-xBreite color rgb KooSysFarbe]  
    	                                       [1-xBreite color rgb <0, 0, 0>] }  
                                   }
                           finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };

#declare KoordMaterial = texture {
                           pigment { color rgb KooSysFarbe }
                           finish { ambient 0.15 specular 0.4 reflection 0.1 }
                                };
                                
