#declare KoKasten =
        box{<xmin, ymin, zmin>, <xmax, ymax, zmax>}

#macro Punkt(px,py,pz,Name) 
        sphere {<px, py, pz> 0.12
                texture {PunktMaterial} 
               }
        text { ttf "Arial" Name 0.2,0
               scale 0.5 translate <px+0.2,py+0.2,pz>
               texture {KoordMaterial}}
#end 

#macro Gerade(ax,ay,az,vx,vy,vz) 
        #local Anfang = <ax, ay, az> + 20*<vx, vy, vz>;
        #local Ende   = <ax, ay, az> - 20*<vx, vy, vz>;
        intersection{
                box{KoKasten}
                cylinder { Anfang Ende 0.08
                   texture {Gerade1Material}}
        }
#end

#macro Ebene_Farbe1(nx,ny,nz,dd)
        intersection{
                box{KoKasten}
                plane{<nx,ny,nz>, dd/sqrt(nx*nx+ny*ny+nz*nz)}
                plane{<-nx,-ny,-nz>, -dd/sqrt(nx*nx+ny*ny+nz*nz)}
                texture{Ebene1Material}
        }
#end

#macro Ebene_Farbe2(nx,ny,nz,dd)
        intersection{
                box{KoKasten}
                plane{<nx,ny,nz>, dd/sqrt(nx*nx+ny*ny+nz*nz)}
                plane{<-nx,-ny,-nz>, -dd/sqrt(nx*nx+ny*ny+nz*nz)}
                texture{Ebene2Material}
        }
#end

