// ------------- Einstellungen -----------------

#declare xmin=-5;
#declare xmax= 8;
#declare ymin=-5;
#declare ymax= 5;
#declare zmin=-5;
#declare zmax= 5;

#declare Kamera_alpha = 50;  // Gibt den seitlichen Drehwinkel an  (-180;+180)
#declare Kamera_beta  = 10;  // Gibt den Drehwinkel hoch/runter an (-90;+90)
#declare Kamera_zoom  = 1.6; // Je grer die Zahl, desto strker der Zoomeffekt (0,5;3)

#declare radi = 0.08;    // bestimmt die Dicke der Koordinatenstangen (um 0,1)

// -------------- Dateien, die mit in das Projekt eingebunden werden

#include "filmset.pov"
#include "material.pov"
#include "KOSystem.pov"
#include "Macros.pov" 

// -------------- Koordinatenachsen und -kasten ------

object{ Koosys }
object{ Kasten }

// -------------- Objekte der Aufgabe -------------- 
//
// Punkt(px,py,pz,Name)    z.B. Punkt(1,2,-3,"A") 
// Gerade(ax,ay,az,vx,vy,vz) Gerade durch den Punkt A(ax,ay,az) mit dem Richtungsvektor v
//                         z.B. Gerade(1,6,-5,-1,0,1)
// Ebene_Farbe1(a,b,c,d) ist die Ebene in der Normalenform ax + by + cz = d
//                         z.B. Ebene_Farbe1(1,-2,0,3)

